unit Uplbldemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, paramlabel, ComCtrls;

type
  TForm1 = class(TForm)
    ParamLabel1: TParamLabel;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Button1: TButton;
    Button2: TButton;
    StatusBar1: TStatusBar;
    procedure ParamLabel1ParamClick(Sender: TObject; href: String;
      var value: String);
    procedure ParamLabel1ParamList(Sender: TObject; href: String;
      values: TStringList; var DoPopup: Boolean);
    procedure ParamLabel1ParamPopup(Sender: TObject; href: String;
      values: TStringList; var DoPopup: Boolean);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ParamLabel1ParamSelect(Sender: TObject; href, value: String);
    procedure ParamLabel1ParamHint(Sender: TObject; href: String;
      var hintvalue: String; var showhint: Boolean);
    procedure ParamLabel1ParamEnter(Sender: TObject; href, value: String);
    procedure ParamLabel1ParamExit(Sender: TObject; href, value: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ParamLabel1ParamClick(Sender: TObject; href: String;
  var value: String);
begin
   if (href='install') or (href='backup') or (href='send') then
    begin
      if value='Yes' then value:='No' else value:='Yes';
    end;
   if (href='contact') then
    InputQuery('Prepare meeting','Contact',value);
end;

procedure TForm1.ParamLabel1ParamList(Sender: TObject; href: String;
  values: TStringList; var DoPopup: Boolean);
begin
 dopopup:=false;

 if href='os' then
  begin
   dopopup:=true;
   values.Add('Linux');
   values.Add('Windows 98');
   values.Add('Windows ME');
   values.Add('Windows NT');
   values.Add('Windows 2000');
   values.Add('Solaris');
  end;
 if (href='sw') or (href='tool') then
  begin
   dopopup:=true;
   values.Add('Delphi');
   values.Add('C++Builder');
   values.Add('Visual C');
   values.Add('Visual Basic');
   values.Add('JBuilder');
   values.Add('Kylix');
  end;

end;

procedure TForm1.ParamLabel1ParamPopup(Sender: TObject; href: String;
  values: TStringList; var DoPopup: Boolean);
begin
 dopopup:=false;
 if href='time' then
  begin
   dopopup:=true;
   values.Add('every day');
   values.Add('every week');
   values.Add('every month');
   values.Add('every hour');
  end;
 if href='tosend' then
  begin
   dopopup:=true;
   values.Add('email');
   values.Add('file');
   values.Add('fax');
   values.Add('package');
   values.Add('CD ROM');

  end;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   edit1.text:=paramlabel1.Parameter['time'];
   edit2.text:=paramlabel1.Parameter['tosend'];
   edit3.text:=paramlabel1.Parameter['os'];
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   paramlabel1.Parameter['time']:=edit1.text;
   paramlabel1.Parameter['tosend']:=edit2.text;
   paramlabel1.Parameter['os']:=edit3.text;
end;

procedure TForm1.ParamLabel1ParamSelect(Sender: TObject; href,
  value: String);
begin
 statusbar1.simpletext:='Last selection : '+value;
end;

procedure TForm1.ParamLabel1ParamHint(Sender: TObject; href: String;
  var hintvalue: String; var showhint: Boolean);
begin
 hintvalue:='';
 if href='time' then
  hintvalue:='Set frequency of the backup';
 if href='tosend' then
  hintvalue:='Select item to send';
 if href='os' then
  hintvalue:='Select operating system';
end;

procedure TForm1.ParamLabel1ParamEnter(Sender: TObject; href,
  value: String);
begin
 statusbar1.simpletext:=href+' = '+value;
end;

procedure TForm1.ParamLabel1ParamExit(Sender: TObject; href,
  value: String);
begin
statusbar1.simpletext:='';
end;

end.
